## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NodeSorter::VectorEntry Struct Reference

`#include <NodeSorter.hpp>`

Collaboration diagram for NodeSorter::VectorEntry:

List of all members.

## Public Methods

- VectorEntry ( XalanNode* theNode = 0, unsigned int thePosition = 0)

## Public Attributes

- XalanNode* m_node
- unsigned int m_position

## Constructor & Destructor Documentation

NodeSorter::VectorEntry::VectorEntry ( | XalanNode * theNode = 0,
| unsigned int thePosition = 0 )

## Member Data Documentation

XalanNode * NodeSorter::VectorEntry::m_node

unsigned int NodeSorter::VectorEntry::m_position

The documentation for this struct was generated from the following file:

- NodeSorter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.